## dict-jargon 4.4.7

=== debian/changelog ===
dict-jargon (4.4.7-5) unstable; urgency=medium

  * QA upload.
  * Maintain package in Debian team
    Closes: #1118538
  * Take over patches and Makefile from jargon-text package
  * Build jargon-text binary and intentionally bump Debian revision to -5
    to have a higher version than jargon-text
    Closes: #914542, #1019283
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * watch file standard 4

 -- Andreas Tille <tille@debian.org>  Thu, 21 Aug 2025 12:50:29 +0200

dict-jargon (4.4.7-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 02:33:49 +0100

dict-jargon (4.4.7-3) unstable; urgency=medium

  * Switch to source format "3.0 (quilt)" and dh7 tiny rules
  * Remove quilt from Build-Depends.
  * Switch to machine-readable format for debian/copyright
  * Bump Standards-Version to 3.9.6 (no changes)
  * Bump compat level to 9 and update debhelper version on Build-Depends.
  * Replace elinks with w3m (Closes: #567418).
    Patch provided by: Mathias Gug <mathiaz@ubuntu.com>
  * Replace timestamps with the last debian/changelog entry timestamp
    before calling dictzip and remove timestamps in call to dictfmt to
    make the package build reproducibly (Closes: #792709).
    Patch provided by: Dhole <dhole@openmailbox.org>
  * Add a new patch fixing typos and a missing sense number in a
    reference (Closes: #581692, #587744, #587745).
    Patches provided by: Oohara Yuuma <oohara@libra.interq.or.jp>
  * Fix command-with-path-in-maintainer-script in debian/post*
  * Add debian/README.source
  * Update maintainer email

 -- Ruben Molina <ruben.molina@udea.edu.co>  Thu, 03 Sep 2015 22:38:38 -0400

dict-jargon (4.4.7-2) unstable; urgency=low

  * Add dict-server to Depends (Closes: #533717)
  * Standards-Version bumped to 3.8.2 (no changes)
  * Add versioned reference to GPL in debian/copyright

 -- Ruben Molina <rmolina@udea.edu.co>  Sat, 20 Jun 2009 19:03:13 -0500

dict-jargon (4.4.7-1) unstable; urgency=low

  * New maintainer (Closes: #436120)
  * New upstream version. Sources repackaged because only three files
    are needed (817K of 6,0M)
  * Standards-Version bumped to 3.8.0
  * Added Homepage field to debian/control
  * Added debian/watch file
  * Debian package reworked. See jargon2dict.sh for the new parsing process
  * Removed Build-Depends-Indep on docbook-xml, konwert, gawk, python, lynx
    and html2text
  * Added Build-Depends-Indep on elinks-lite
  * Added Build-Depends on quilt and debhelper
  * Added Suggests on dict
  * Removed Build-Conflicts-Indep on w3m (The problem reported on changelog
    entry 4.4.4-6 is no longer reproducible)
  * Solved some syntax errors on debian/changelog
  * Removed duplicated entries from debian/changelog
  * apologia and other sections of the Jargon File are no longer included.
    This sections are available in jargon-text package
  * Upstream ChangeLog is now generated using versions table from chapter 3,
    and not the full chapter
  * Added DEBHELPER token to postinst and postrm scripts

 -- Ruben Molina <rmolina@udea.edu.co>  Thu, 29 Jan 2009 21:47:29 -0500

dict-jargon (4.4.4-7) unstable; urgency=low

  * QA Upload
    + change maintainer to QA group
    + acknowledge NMUs. Closes: #348263, #423755, #440501,
      #463777, #470351.
  * Provide dictd-dictionary. Closes: #466216.

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 24 Apr 2008 04:43:00 +0200

dict-jargon (4.4.4-6.2) unstable; urgency=low

  * Non-maintainer upload to fix RC bugs.
  * Change invocation by "xmlto" of "jargon-text.xsl" in upstream
    Makefile from "-m" to "-x". (Closes: #470351)
  * Use "--columns 79" in invocation of dictfmt by debian/rules
    since upstream Makefile uses 79 as output width. (Closes: #463777)

 -- Kapil Hari Paranjape <kapil@debian.org>  Sat, 12 Apr 2008 05:46:31 +0530

dict-jargon (4.4.4-6.1) unstable; urgency=low

  * Non-maintainer upload to fix RC bugs.
  * Switch to using invoke-rc.d in postinst and postrm. (Closes: #348263).
  * Updated debian/jargon-patch using Cyril Brulebois's file to fix FTBFS.
    (Closes: #423755, #440501).

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 30 Sep 2007 13:44:56 +0200

dict-jargon (4.4.4-6) unstable; urgency=high

  * Release Team - This upload fixes three FTBFS bugs, although only one was
    given an RC severity by the submitter, and makes no other changes.

  * Apparently xmlto calls w3m or lynx to convert html to text, but I can't
    find the call.  (I don't know why neither one is a Build-Depend.)  If w3m
    is installed, it is called, but creates an error.  Since I can't locate
    the error, I have listed w3m as Build-Conflicts-Indep.  This solves part
    of Bug #302578, the rest of this bug is fixed by the followng paragraph.

  * Place single quotes around the version number in a test in jargon.xsl, as
    suggested by Mike Hommey <mh@glandium.org>.  Closes: #296957, 302578

  * Although it isn't well documented, the output of
    "/usr/share/konwert/filters/iso1-ascii" varies depending on the locale of
    the system.  In some cases this output may contain 8-bit characters, which
    makes the patches in the rules file fail.  To overcome this I have
    inserted "LC_ALL=C" before the konwert calls, so the output should be the
    same on any build machine.  Closes: #274689

  * For reasons that aren't clear to me, html2text in sid procuces an
    "apologia" that is radically different and formatted much uglier than the
    same version in sarge.  I have included the formatted version of this file
    from previous releases, and commented out the rules line that produces

