=== debian/control ===
Source: dict-jargon
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: text
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: xmlto,
                     w3m,
                     dictfmt,
                     dictzip,
                     elinks
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/dict-jargon
Vcs-Git: https://salsa.debian.org/debian/dict-jargon.git
Homepage: http://catb.org/jargon/

Package: dict-jargon
Architecture: all
Depends: ${misc:Depends},
         dictd | dict-server
Suggests: dict
Provides: dictd-dictionary
Description: dict package for The Jargon Lexicon
 The Jargon File is a comprehensive compendium of hacker slang
 illuminating many aspects of hackish tradition, folklore, and humor.
 .
 This package includes "The Jargon Lexicon" (main section of The Jargon
 File, version 4.4.7, 29 Dec 2003), formatted for use by the dictionary
 server in the dictd package.
 .
 The complete Jargon File is available in the jargon-text package.

Package: jargon-text
Architecture: all
Depends: ${misc:Depends}
Description: definitive compendium of hacker slang
 This is the Jargon File, a comprehensive compendium of hacker slang
 illuminating many aspects of hackish tradition, folklore, and humor.
 This version is in the original text format.
