=== debian/rules ===
#!/usr/bin/make -f

# See: https://bugs.debian.org/792709
BUILD_DATE := $(shell dpkg-parsechangelog --show-field Date)
export BUILD_DATE

%:
	dh $@

override_dh_auto_build:
	sh debian/jargon2dict.sh
	$(MAKE) -f debian/Makefile.jargon-text
