=== debian/watch ===
# Jargon masters should always be downloaded from:
#	http://catb.org/jargon/jargsrc.tar.gz
#
# We will track the version number from the html version and then, using
# downloadurlmangle option from uscan, we will download jargsrc.tar.gz and
# will save it as jargon-(.*).tar.gz
#
# Source should be repacked as we just need three files (~800K of 6M) from
# the dowloaded file (see debian/jargon2dict.sh for details on needed files)
#
version=4
opts=downloadurlmangle=s/jargon-(.*)\.tar\.gz/jargsrc\.tar\.gz/ \
http://catb.org/jargon/download.html jargon-(.*)\.tar\.gz
